## ros-noetic-gazebo-ros 2.9.2

=== debian/changelog ===
ros-noetic-gazebo-ros (2.9.2-1buster) buster; urgency=high

  * Only subscribe to /gazebo/performance_metrics when necessary (#1202 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1202>)
    We are currently subscribing to the /gazebo/performance_metrics topic
    even if there are no subscribers to the ROS topic forwarding this data.
    The link_states and model_states topics currently use an advertise
    mechanism with callbacks when a subscriber connects or disconnects,
    so I've used that same pattern for the performance_metrics topic.
    This also helps workaround the deadlock documented in #1175 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1175> and
    osrf/gazebo#2902 <https://github.com/osrf/gazebo/issues/2902>.
    This also adds a GAZEBO_ROS_HAS_PERFORMANCE_METRICS
    macro that reduces duplication of the version checking logic for
    performance metrics in gazebo and adds fixes some doc-string and
    typos in existing code
  * [Noetic] Bridge to republish PerformanceMetrics in ROS (#1145 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1145>)
    Co-authored-by: Ian Chen <mailto:ichen@osrfoundation.org>
  * delete request msgs (#1160 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1160>)
  * gazebo_ros_api_plugin cleanup (#1137 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1137>)
    Remove an unused overload of publishSimTime and add doxygen
    for the remaining publishSimTime function.
    * Remove duplicate code for /clock advertisement
    The /clock topic is advertised in both loadGazeboRosApiPlugin
    and advertiseServices. This removes the code from advertiseServices
    and moves it earlier in loadGazeboRosApiPlugin.
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * colcon.pkg: build gazebo first in colcon workspace (#1135 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1135>)
    Add a colcon.pkg file to gazebo_dev with gazebo's cmake project
    name "Gazebo" listed as a dependency to support building
    gazebo from source in a colcon workspace.
    * Add colcon.pkg files for other packages
    Copy colcon.pkg to gazebo_ros, gazebo_plugins, and
    gazebo_ros_control so that --merge-install won't be required.
  * Contributors: Alejandro Hernández Cordero, Ian Chen, Steve Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 20 Apr 2021 22:00:00 -0000

ros-noetic-gazebo-ros (2.9.1-1buster) buster; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 19 May 2020 22:00:00 -0000

ros-noetic-gazebo-ros (2.9.0-1buster) buster; urgency=high

  * [Noetic] changes to make it work with Python3 (#1069 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1069>)
    * Noetic - changes to make it work with Python3
  * add node required to noetic (#1082 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/1082>)
  * add additional light options to 'set_light_properties' service (#874 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/874>)
    The optional 'Light' properties 'cast_shadows', 'specular', 'direction',
    and 'pose' are not optional any more. These properties are now set via the
    corresponding fields in the ROS message. By default, this will be 0.
    https://github.com/ros-simulation/gazebo_ros_pkgs/pull/874
  * spawn_model: Fix urlparse imports for Python 3
  * spawn_model: Ensure that "model_xml" is a string, required for Python 3
  * catkin_find gazebo plugin from bin folder. (#993 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/993>)
  * [Windows][melodic-devel] more Windows build break fix (#975 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/975>)
    * Fix CMake install error for Windows build.
    * conditionally include <sys/time.h>
  * provide Windows implemenation for setenv. (#879 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/879>)
  * implement basic gazebo scripts to support launch file on Windows build. (#880 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/880>)
  * Contributors: Alejandro Hernández Cordero, Christian Rauch, Kartik Mohta, Mabel Zhang, Sean Yen

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 18 May 2020 22:00:00 -0000

ros-noetic-gazebo-ros (2.8.5-1buster) buster; urgency=high

  * Add output arg to launch files, plus some small fixes (melodic) (#907 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/907>)
    * Add output arg to empty_world
    * add output arg to elevator_world
    * add output arg to range_world
    * don't set use_sim_time in range_world
    Instead parse it to empty world, where it will be set.
    * add xml prolog to all launch files
    * Remove unnecessary arg in range_world.launch
  * use C++11 std sleep instead of usleep. (#877 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/877>)
  * fix issue #198 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/198> (#825 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/825>)
  * Lower minimum cmake version (#817 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/817>)
  * Contributors: Matthijs van der Burgh, Paul Bovbel, Sean Yen [MSFT], Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 03 Jun 2019 22:00:00 -0000

ros-noetic-gazebo-ros (2.8.4-1buster) buster; urgency=high

  * Refactor spawn_model script
    * more robust -package_to_model implementation (issue #449)
    * add stdin as source option
    * parse arguments with argparse
    * remove deprecated/unused -gazebo and -trimesh options
  * Fix physics reconfigure within namespace (issue #507)
  * Contributors: Kevin Allen, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 05 Jul 2018 22:00:00 -0000

ros-noetic-gazebo-ros (2.8.3-1buster) buster; urgency=high

  * Use generic SIGINT parameter in kill command for gazebo script (melodic-devel) (#724 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/724>)

