=== debian/control ===
Source: ros-noetic-gazebo-ros
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-dynamic-reconfigure, ros-noetic-gazebo-dev, ros-noetic-gazebo-msgs, ros-noetic-geometry-msgs, ros-noetic-roscpp, ros-noetic-rosgraph-msgs, ros-noetic-roslib, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-noetic-gazebo-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpython2.7-stdlib, libtinyxml-dev, ros-noetic-dynamic-reconfigure, ros-noetic-gazebo-dev, ros-noetic-gazebo-msgs, ros-noetic-geometry-msgs, ros-noetic-roscpp, ros-noetic-rosgraph-msgs, ros-noetic-roslib, ros-noetic-std-msgs, ros-noetic-std-srvs, ros-noetic-tf
Description: Provides ROS plugins that offer message and service publishers for interfacing with Gazebo through ROS.
 Formally simulator_gazebo/gazebo
